// this show modal if is return validation from backend
$(window).on('load', function() {
    showModalAdd = document.querySelectorAll(".showModalAdd");
         if(showModalAdd.length > 0)
           $('#addStudent').modal('show');
     });

//edit modal

 document.querySelectorAll('.edit').forEach(item => {
         item.addEventListener('click', e => {
            
         $('#id').val(item.dataset.id);
         $('#nameUpdate').val(item.dataset.name);
         $('#emailUpdate').val(item.dataset.email);
         $('#phoneUpdate').val(item.dataset.phone);
         $('#nameCertificateUpdate').val(item.dataset.certificate_name);
         
        //  let type = item.dataset.type;
        //  const selectType = document.querySelector("#type");

        //  for(var i=0; i < selectType.options.length; i++)
        //  {
        //          console.log(selectType.options[i].value);
        //          if(selectType.options[i].value === type)
        //          {
        //              selectType.selectedIndex = i;
        //              break;
        //          }
        //  }
         $('#editModal').modal('show');
     })
 })
